PrinterAbortException (Java Platform SE 8 )
Keywords: java.awt.print.PrinterAbortException class
Date: 2026-04-22

java.awt.print

## Class PrinterAbortException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.awt.print.PrinterException
      - - java.awt.print.PrinterAbortException

- All Implemented Interfaces:
    Serializable

      public class PrinterAbortException
      extends PrinterException

  The `PrinterAbortException` class is a subclass of `PrinterException` and is used to indicate that a user or application has terminated the print job while it was in the process of printing.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrinterAbortException()` Constructs a new `PrinterAbortException` with no detail message.
    `PrinterAbortException(String msg)` Constructs a new `PrinterAbortException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PrinterAbortException

          public PrinterAbortException()

      Constructs a new `PrinterAbortException` with no detail message.

    - #### PrinterAbortException

          public PrinterAbortException(String msg)

      Constructs a new `PrinterAbortException` with the specified detail message.
      Parameters:
        `msg` - the message to be generated when a `PrinterAbortException` is thrown

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.